package com.ruoyi.system.domain;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import lombok.Data;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

/**
 * 专利有效按年统计结果(区县)对象 ur_year_valid_data_dis
 * 
 * @author dm
 * @date 2023-02-13
 */
@Data
@ApiModel(value = "专利有效按年统计结果(区县)对象")
public class UrYearValidDataDis extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** $column.columnComment */
    @ApiModelProperty(value = "$column.columnComment")
    private Long id;

    /** 年份 */
    @Excel(name = "年份")
    @ApiModelProperty(value = "年份")
    private String year;

    /** 区域简称 */
    @Excel(name = "区域简称")
    @ApiModelProperty(value = "区域简称")
    private String districtShortName;

    /** 专利类型 */
    @Excel(name = "专利类型")
    @ApiModelProperty(value = "专利类型")
    private String subject;

    /** 编码 */
    @Excel(name = "编码")
    @ApiModelProperty(value = "编码")
    private String code;

    /** 排序 */
    @Excel(name = "排序")
    @ApiModelProperty(value = "排序")
    private Long sort;

    /** 专利权人类型 */
    @Excel(name = "专利权人类型")
    @ApiModelProperty(value = "专利权人类型")
    private String type;

    /** 专利数量 */
    @Excel(name = "专利数量")
    @ApiModelProperty(value = "专利数量")
    private Long count;

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("year", getYear())
            .append("districtShortName", getDistrictShortName())
            .append("subject", getSubject())
            .append("code", getCode())
            .append("sort", getSort())
            .append("type", getType())
            .append("count", getCount())
            .toString();
    }
}
